<?php
/**************************************************
  Coppermine 1.5.x Plugin - maskurl
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

// Strings used on the plugin manager screen
$lang_plugin_maskurl['plugin_name'] = 'Mask URLs'; // Your plugin's long name here
$lang_plugin_maskurl['plugin_description'] = 'Mask url containing image path to limit ability for user to access un-marked photo.'; // Describe what your plugin does here
$lang_plugin_maskurl['install_info'] = 'Normal Plugin Install - Configure after install to select options and activate'; // Before the plugin is installed, this line will show in the plugin manager as additional information
$lang_plugin_maskurl['extra_info'] = 'For detailed information, view readme.txt in the plugin folder.'; // Extra information that shows up in the plugin manager after the plugin is installed
$lang_plugin_maskurl['configure_x'] = 'Configure %s'; // The %s will be replaced with the name of your plugin, so you usually don't have to edit this line
$lang_plugin_maskurl['execute_x'] = 'Execute %s';
$lang_plugin_maskurl['announcement'] = 'Announcement thread';

// Strings used on the plugin's configuration panel (admin.php)
$lang_plugin_maskurl['submit'] = 'Submit';
$lang_plugin_maskurl['update_success'] = 'Plugin config updated';
$lang_plugin_maskurl['no_changes'] = 'No changes needed (or changes invalid)';
$lang_plugin_maskurl['mask_url'] = 'Mask Picture URL?';
$lang_plugin_maskurl['encrypt_refresh'] = 'Refresh Encryption Keys?';
$lang_plugin_maskurl['cleartext'] = 'Clear Text';
$lang_plugin_maskurl['mask'] = 'Mask URL';
$lang_plugin_maskurl['encrypt'] = 'Encrypt URL';
$lang_plugin_maskurl['sampleurl'] = 'Sample URLs with Current Settings:';
$lang_plugin_maskurl['defaulturl'] = 'Default Picture URL';
$lang_plugin_maskurl['currenturl'] = 'Picture URL with Current Settings';
$lang_plugin_maskurl['error_display'] = 'Error displaying requested photo';
$lang_plugin_maskurl['error_no_input'] = 'No photopath or key provided';
$lang_plugin_maskurl['error_dir_mismatch'] = 'Invalid Photopath - Mismatch to config directory';
$lang_plugin_maskurl['error_filetype'] = 'Invalid Photopath - Unsupported file type';
$lang_plugin_maskurl['error_invalid_char'] = 'Invalid Photopath - Invalid Characters';

// Documentation Options
$lang_plugin_maskurl['view_readme'] = 'View Readme Doc';
?>